Skip to main content
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
authorization-policies
UpdateAuthorizationPolicy
curl --request PATCH \
  --url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/authorization-policies \
  --header 'Content-Type: application/json' \
  --data '
{
  "object": {
    "meta": {
      "name": "<string>",
      "annotations": {},
      "description": "<string>",
      "index_data": {},
      "parent_kind": "<string>",
      "parent_uuid": "<string>",
      "tags": [
        "<string>"
      ]
    },
    "propagate": true,
    "spec": {
      "clause": [
        "<string>"
      ],
      "permissions": {
        "except_resources": [
          "<string>"
        ],
        "roles": [
          "SYSTEM_ROLE_UNSPECIFIED"
        ],
        "rules": {}
      },
      "propagate": true,
      "target_namespaces": [
        "<string>"
      ],
      "expiration_time": "2023-11-07T05:31:56Z"
    },
    "tenant_meta": {}
  },
  "request": {
    "force": true,
    "update_mask": "<string>"
  }
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "clause": [
      "<string>"
    ],
    "permissions": {
      "except_resources": [
        "<string>"
      ],
      "roles": [
        "SYSTEM_ROLE_UNSPECIFIED"
      ],
      "rules": {}
    },
    "propagate": true,
    "target_namespaces": [
      "<string>"
    ],
    "expiration_time": "2023-11-07T05:31:56Z",
    "is_support_policy": true
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "propagate": true,
  "uuid": "<string>"
}

Path Parameters

object.tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

Request to update an authorization policy.

object
object

Represents an authorization policy in the system.

request
object

Message used for all update requests.

Response

A successful response.

Represents an authorization policy in the system.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
tenant_meta
object
required

Tenant related data for the tenant containing the resource.

propagate
boolean

Indicates that the object should be visible in the child namespaces.

uuid
string

The UUID of the AuthorizationPolicy resource.